Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class DateSelector.TimeComparisons

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.types.TimeComparison
              org.apache.tools.ant.types.selectors.DateSelector.TimeComparisons

Enclosing class:
  DateSelector

    public static class DateSelector.TimeComparisons

extends TimeComparison

Enumerated attribute with the values for time comparison.

Field Summary

Fields inherited from class org.apache.tools.ant.types.TimeComparison
`AFTER, BEFORE, EQUAL`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`DateSelector.TimeComparisons()`

Method Summary

Methods inherited from class org.apache.tools.ant.types.TimeComparison
`compare, compare, evaluate, evaluate, getValues`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateSelector.TimeComparisons

    public DateSelector.TimeComparisons()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD